Bug 29433 - Php issue warnings with php-memcached installed
Summary: Php issue warnings with php-memcached installed
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA8-64-OK
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2021-09-02 10:06 CEST by Raphael Gertz
Modified: 2021-09-14 02:46 CEST (History)
3 users (show)

See Also:
Source RPM: php-memcached-3.1.5-5.mga8.src.rpm
CVE:
Status comment:


Attachments

Description Raphael Gertz 2021-09-02 10:06:05 CEST
Description of problem:
With php8 version, the extension php-memcached issue warnings about missing arginfo.

$ php
PHP Warning:  Missing arginfo for MemcachedServer::run() in Unknown on line 0
PHP Warning:  Missing arginfo for MemcachedServer::on() in Unknown on line 0

I updated mga8 version of php-memcached to fix the issue with upstream found patches :
- https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257130
- https://cgit.freebsd.org/ports/commit/?id=6d01cdda4513e2d77eeb6f0be051ddd4b0e80546
- https://github.com/php-memcached-dev/php-memcached/commit/c94e014da53cc8a3d0510402f36bc6e5e17bf608
- https://github.com/php-memcached-dev/php-memcached/commit/e8f53777d3f578586f2a32f1b3bdcc3f53e74b39

Upstream bug reports :
https://github.com/php-memcached-dev/php-memcached/pull/467
https://github.com/php-memcached-dev/php-memcached/pull/472

This should be fixed in svn revision 1743995 for mga8 updates_testing and revision 1744000 for cauldron.

Version-Release number of selected component (if applicable):
php-memcached-3.1.5-5.mga8

How reproducible:
Always

Steps to Reproduce:
1. urpmi php-memcached
2. php
3. see warning
Comment 1 Lewis Smith 2021-09-03 08:43:58 CEST
Thank you for this detailed and helpful report.

Assigning to MarcK, active maintainer for this SRPM.

Assignee: bugsquad => mageia

Comment 2 Raphael Gertz 2021-09-03 09:39:18 CEST
I have uploaded a fixed package for Mageia 8.

You can test this by installing and see that it don't display warning anymore.

Suggested advisory:
========================
Updated php-memcache packages fix warnings.

With php-memcache php issue warning about missing arginfo after migration to php8.

This update just include upstream patches to prevent these warnings.

References:
https://github.com/php-memcached-dev/php-memcached/pull/467
https://github.com/php-memcached-dev/php-memcached/pull/472
========================

Updated packages in core/updates_testing:
========================
php-memcached-3.1.5-6.mga8

Source RPMs: 
php-memcached-3.1.5-6.mga8.src.rpm
Comment 3 Raphael Gertz 2021-09-03 09:40:18 CEST
If the fix & advisory is fine with you MarcK, assign to qa-bugs@ml.mageia.org so this problem is fixed.
Comment 4 Marc Krämer 2021-09-03 14:28:18 CEST
looks good to me. Thx Raphael. I was hoping for an offical release. I've only patched the source on the fly, except for the warnings, it was doing fine ;)

Assignee: mageia => qa-bugs

Comment 5 Herman Viaene 2021-09-13 15:08:53 CEST
MGA8-64 Plasma on Lenovo B50
No installation issues.
Command
$ php

just sits there, no warning or other feedback, that should be OK according Comment 2.

CC: (none) => herman.viaene
Whiteboard: (none) => MGA8-64-OK

Comment 6 Thomas Andrews 2021-09-14 02:46:15 CEST
Validating. Advisory in Comment 2.

CC: (none) => andrewsfarm, sysadmin-bugs
Keywords: (none) => validated_update


Note You need to log in before you can comment on or make changes to this bug.